Subject: Re: [bug#76899] Request for merging "c++-team" branch

From: Greg Hogan <[email-masked]>
Date: Sat, 21 Jun 2025 12:36:12 -0400

On Fri, Jun 20, 2025 at 2:13 PM Andreas Enge <[email-masked]> wrote:
>
> Am Fri, Jun 20, 2025 at 01:36:28PM -0400 schrieb Greg Hogan:
> > No worries, just travelling with less access to the Internet than I
> > had hoped for.
>
> Good to hear that!
>
> > I have it rebased and bootstrapping locally. Still working to sort out
> > my Codeberg access to push the rebase there.
>
> Hopefully this will be easy to sort out; people reported problems in the
> past, but they have apparently been solved.
>
> > Any idea on how to access the build stats from QA
> > [https://qa.guix.gnu.org/branch/c++-team]? I have not closely followed
> > the issue with the unknown merge base revision, other than I believe
> > that rebasing on a different commit has solved the problem.
>
> To solve the "unknown base revision" problem, you need to have a look at
>    https://data.qa.guix.gnu.org/
> or more precisely
>    https://data.qa.guix.gnu.org/repository/1/branch/master
> and choose a (well, the latest) commit with a green badge.
>
> For the "unknown target revision", there is nothing to do but wait
> until the data service has picked it up (it will show on
> https://data.qa.guix.gnu.org/ again with a green badge).
>
> Currently QA only looks at the first two branches, which currently are
> ruby-team and core-packages team. So once ruby-team is merged, c++-team
> should get into focus (but I may pause it once more until you have
> managed to push the latest branch to master).
>
> Andreas

Thanks for all of your help. I have rebased a few times to try and get
a good build on CI [https://ci.guix.gnu.org/jobset/c%2B%2B-team], the
last being revision de9e1421 [
https://data.qa.guix.gnu.org/revision/de9e1421ae254ec94adbb45421b4690b5a20fc79].
It's unclear why CI would fail to build the Guix checkout if it is
compiling locally for me.

Greg